package main

import (
	"context"
	"flag"
	"github.com/tiburon-777/w3back/internal/scenario"
	"log"
)

func main() {
	// Парсим флаги приложения.
	file := flag.String("scenario", "./test/test.yaml", "path to file with test scenario")
	ctx := context.Background()

	// Читаем и валидируем файл сценария.
	sc, err := scenario.New(ctx, *file)
	if err != nil {
		log.Fatalf("can't understand test scenario: %v ", err)
	}

	for key, cs := range sc.Cases {
		log.Printf("Case#%d - %s", key, cs.Name)

	}

}
